<?php
if (!defined('ABSPATH')) exit;

if(luntan_is_block_theme()){
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<meta name='robots' content='max-image-preview:large' />
<?php wp_head();
?>
</head>
<body <?php body_class(); ?>>
<?php 
wp_body_open();
block_template_part( 'header' );?>
<?php require plugin_dir_path(__FILE__).'archive_block.php';?>
<?php block_template_part( 'footer' );
wp_footer();
?>
</body>

</html>
<?php }else{
    get_header();
    require plugin_dir_path(__FILE__).'archive_block.php';
    get_footer();
}